Bug 82405 - FILEOPEN: PPTX chart trimmed on both sides
Summary: FILEOPEN: PPTX chart trimmed on both sides
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx, preBibisect, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2014-08-10 03:33 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-01-14 12:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Slide 3 - Powerpoint 2007 VS Libo 4.3.2 (92.46 KB, image/png)
2014-08-10 03:36 UTC, Yousuf Philips (jay) (retired)
Details
Slide 3 - LibO 3.3.0 (56.88 KB, image/png)
2014-08-10 03:41 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-10 03:33:53 UTC
Steps:
1) Visit http://cgit.freedesktop.org/libreoffice/core/tree/chart2/qa/extras/data/
2) Download and open stacked-non-stacked-mix-y-axis.pptx
3) Look at slide 3
4) Portions of category 1 and category 4 are over the chart borders

Tested with 4.3.2 and master. Its a regression as this doesnt happen in 3.3.0.
Comment 1 Yousuf Philips (jay) (retired) 2014-08-10 03:36:49 UTC
Created attachment 104365 [details]
Slide 3 - Powerpoint 2007 VS Libo 4.3.2
Comment 2 Yousuf Philips (jay) (retired) 2014-08-10 03:41:38 UTC
Created attachment 104366 [details]
Slide 3 - LibO 3.3.0

It looks as if the left and right sides of the chart are being trimmed all the way to the middle of the category entries, which is causing this issue.
Comment 3 Owen Genat (retired) 2014-08-11 01:58:28 UTC
(In reply to comment #0)
> 4) Portions of category 1 and category 4 are over the chart borders

This problem does not match the bug summary, but refer below as the problem appears to be an unsupported Chart Type.

> Tested with 4.3.2 and master. Its a regression as this doesnt happen in
> 3.3.0.

The chart is clipped left and right (as described) also in: 

- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
- v4.2.6.2 Build ID: 185f2ce4dcc34af9bd97dec29e6d42c39557298f
- v4.3.0.4 Build ID: 62ad5818884a2fc2e5780dd45466868d41009ec0
- v4.4.0.0.alpha0+ Build ID: 4d635dcae4d7275d04a17a0efc11b0531d5d0a82
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-08-08_23:24:32

I think this problem is more likely that the Chart Type for the chart on the 3rd slide is not understood by LO. Edit the chart > right-click > Chart Type... > does not reveal a selected chart type in any of the tested versions. If a chart type (e.g., Column) is selected, the left-right cropping corrects itself (but the chart display is altered).

Could you improve the summary Jay, based on my comment here? Happy to confirm once this is clearer. Thanks.
Comment 4 Yousuf Philips (jay) (retired) 2014-08-11 15:08:10 UTC
Sorry Ownen, started this bug as a different bug and found it was already fixed and went to this second bug and forgot to update the summary. Updated now. :)
Comment 5 Owen Genat (retired) 2014-08-12 06:52:05 UTC
As per comment 3 and comment 4, confirmed. Status set to NEW.
Comment 6 Joel Madero 2014-11-07 17:30:49 UTC
Let's find out if this one is preBibisect - requesting Bibisect
Comment 7 Matthew Francis 2014-12-09 17:51:30 UTC
Some slight differences from the start to the end of the 43all bibisect repository, but the rendering is essentially the same throughout - nothing looks as close to the PP2007 rendering as current master

Likewise no indication in 44alpha2only that this has ever been any better

Removing Whiteboard:bibisectRequest
Comment 8 Robinson Tryon (qubit) 2015-12-14 05:40:04 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2016-09-14 14:30:31 UTC
Changing version to 3.5.7.2. Using preBibisect just in keywords.
Comment 10 Xisco Faulí 2017-09-29 08:48:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929